Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class CommandLineOptions

    java.lang.Object
      net.sourceforge.pmd.CommandLineOptions

public class CommandLineOptions
extends java.lang.Object

Constructor Summary
`CommandLineOptions(java.lang.String[] args)`

Method Summary
`boolean` | `containsCommaSeparatedFileList()`
`Renderer` | `createRenderer()`
`boolean` | `debugEnabled()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getExcludeMarker()`
`java.lang.String` | `getInputPath()`
`java.lang.String` | `getReportFormat()`
`java.lang.String` | `getRulesets()`
`java.lang.String` | `getTargetJDK()`
`boolean` | `isCheckJavaFiles()`
`boolean` | `isCheckJspFiles()`
`boolean` | `shortNamesEnabled()`
`java.lang.String` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineOptions

    public CommandLineOptions(java.lang.String[] args)

Method Detail

### createRenderer

    public Renderer createRenderer()

### containsCommaSeparatedFileList

    public boolean containsCommaSeparatedFileList()

### getInputPath

    public java.lang.String getInputPath()

### getEncoding

    public java.lang.String getEncoding()

### getReportFormat

    public java.lang.String getReportFormat()

### getRulesets

    public java.lang.String getRulesets()

### getExcludeMarker

    public java.lang.String getExcludeMarker()

### debugEnabled

    public boolean debugEnabled()

### getTargetJDK

    public java.lang.String getTargetJDK()

### shortNamesEnabled

    public boolean shortNamesEnabled()

### usage

    public java.lang.String usage()

### isCheckJavaFiles

    public boolean isCheckJavaFiles()

  Returns:
    Returns the checkJavaFiles.

### isCheckJspFiles

    public boolean isCheckJspFiles()

  Returns:
    Returns the checkJspFiles.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.